# Interface
**Please note:** the following descriptions refers to versions **1.2.1.x**.

## Structure
**ClearURLs** is divided into two areas. The **[head](#head)** _(1)_ and **[body](#body)** _(2-5)_.

![Image of structure](https://github.com/KevinRoebert/ClearUrls/blob/master/promotion/wiki_screens/interface_structure_v_1.2.1.4.png?raw=true)[1]

### Head
The head is marked as "**1.**" in the image [_1_] above. The head consists of the logo (_orange trash can_), the addon name (_ClearURLs_) and the version number.

### Body
The body is marked as "**2.-5.**" in the image [_1_] above. The body is divided into four areas (**[Configs](#configs)**, **[Statistics](#statistics)**, **[Rules-Status](#rules-status)** and **[Log-Button](#log-button)**). All areas have headings except the Log-Button. 

#### Configs
In the **configs** area (_2._) are three switch buttons (_Filters, Logging, Badges_).
If a switch is green, then this function is **active**. Else (the switch is orange) the function is **disabled**.

The **filters** switch activates the cleaning functionality of ClearURLs. If you disable this option, the whole addon is disabled.

The **logging** switch activate the logging functionality of ClearURLs. We advise **against activating** this feature, if you do not need it, because it reduces your privacy if anybody reach/steal your log. To see your log, you must click on the Log-Button "**5.**".

The **Badges** switch activates the badge functionality ([See WebExtensions API](https://developer.mozilla.org/en-US/Add-ons/WebExtensions/API/browserAction/setBadgeText)) of the addon. In the current version (**1.2.x.x**) the addon counts the blocked elements **per url in the current tab**.

#### Statistics
In the **statistics** area (_3._) are three small headings (**Elements**, **Blocked** and **Percentage**).

Under the heading "**Elements**" stands the total value of **all fields** in **all visited urls** since the last "**Reset**".

Under the heading "**Blocked**" stands the total value of fields in urls blocked by **ClearURLs** since the last "**Reset**".

Under the heading "**Percentage**" stands the percentage of blocked fields in relation to the total fields since the last "**Reset**". `((Elements/Blocked)*100)` (fixed to three decimal places). 
The **progress bar** (_first element in section "**3.**" > **Statistics**_) use the same value and is only a visualization of "**Percentage**".

Finally, the "**Reset**" button. The "**Reset**" button reset all statistic elements, in detail:
1. **Elements**
2. **Blocked**
3. **Percentage**
4. **Progress bar**

The "**Reset**" button **do not** delete the rules. The rules are **stable**.

#### Rules-Status
Under the heading "**Rules-Status**" (_4._) stands the status of the rules file. **ClearURLs** know four different states:
1. "**up to date**": No changes, the rules are up to date
2. "**updated**": **ClearURLs** has downloaded new rules and activate them
3. "**update available**": **ClearURLs** has downloaded new rules, but something goes wrong, so **ClearURLs** is using the old rules and tries to download the new rules by the next browser start
4. "**error**": Something unexpected happened. **ClearURLs** does not work correctly until browser reboot

#### Log-Button
With the log button (_5._) you get to the log file.